> ## Documentation Index
> Fetch the complete documentation index at: https://docs.landerlab.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization leads

> Returns paginated leads across the entire organization with lander and workspace context.



## OpenAPI

````yaml https://backend-v2.landerlab.workers.dev/api/v2/openapi.json get /api/v2/organizations/{organizationId}/leads/get
openapi: 3.1.0
info:
  title: LanderLab API
  version: 2.0.0
  description: >-
    LanderLab public API. Authenticate with an API key using the X-API-Key
    header.
servers:
  - url: https://api.landerlab.dev
    description: Production
security: []
tags:
  - name: Account
    description: >-
      Discover the organization and workspaces your API key can access. Start
      here.
  - name: Workspaces
    description: List and manage workspaces.
  - name: Landers
    description: Create, update, publish and manage landers.
  - name: A/B Testing
    description: Manage variants and split-test weights.
  - name: Editor
    description: Load and save lander content and settings.
  - name: Analytics
    description: Query unified analytics across workspaces, landers and variants.
  - name: Leads
    description: Retrieve captured leads.
  - name: Integrations
    description: Manage account-level integrations.
  - name: Lander Integrations
    description: Attach and toggle integrations on landers.
  - name: Domains
    description: Manage custom domains.
  - name: Folders
    description: Organize landers into folders.
paths:
  /api/v2/organizations/{organizationId}/leads/get:
    get:
      tags:
        - Leads
      summary: List organization leads
      description: >-
        Returns paginated leads across the entire organization with lander and
        workspace context.
      parameters:
        - name: startDate
          in: query
          required: true
          schema:
            type: string
        - name: endDate
          in: query
          required: true
          schema:
            type: string
        - name: timezone
          in: query
          required: true
          schema:
            type: string
        - name: q
          in: query
          schema:
            type: string
        - name: page
          in: query
          schema:
            type: integer
        - name: limit
          in: query
          schema:
            type: integer
        - name: status
          in: query
          schema:
            type: string
            enum:
              - partial
              - complete
        - name: orderBy
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: landerIds
          in: query
          schema:
            type: string
          description: JSON array of lander IDs
        - name: workspaceIds
          in: query
          schema:
            type: string
          description: JSON array of workspace IDs
      responses:
        '200':
          description: Paginated leads
          content:
            application/json:
              schema:
                type: object
                properties:
                  leads:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        userId:
                          type: number
                        landerId:
                          type: number
                        variantId:
                          type: number
                        data:
                          type: array
                          items:
                            type: object
                            properties:
                              key:
                                type: string
                              label:
                                type: string
                              value:
                                type: string
                            required:
                              - key
                              - label
                              - value
                            additionalProperties: false
                        status:
                          type: string
                          enum:
                            - complete
                            - partial
                        source:
                          type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        lander:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: number
                                name:
                                  type: string
                              required:
                                - id
                                - name
                              additionalProperties: false
                            - type: 'null'
                        workspace:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: number
                                name:
                                  type: string
                              required:
                                - id
                                - name
                              additionalProperties: false
                            - type: 'null'
                      required:
                        - id
                        - userId
                        - landerId
                        - variantId
                        - data
                        - status
                        - source
                        - createdAt
                        - updatedAt
                        - lander
                        - workspace
                      additionalProperties: false
                  totalCount:
                    type: number
                  totalPages:
                    type: number
                  hitsPerPage:
                    type: number
                  query:
                    type: string
                required:
                  - leads
                  - totalCount
                  - totalPages
                  - hitsPerPage
                  - query
                additionalProperties: false
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key with ll_live_ prefix

````